Generate B2B2C Customer Authorization Token API

This API is used to get customer specific Authorization Token which is used to perform any customer specific operation i.e. Charge Payment. This Token is passed along with B2B Token.

Service Code: 74

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The client can request an access token using only its client credentials (or other supported means of authentication) when the client is requesting access to the protected resources under its control (OAuth 2.0: RFC 6749 & 6750)

  1. client_credentials - Use for B2B Token Generation
  2. authorization_code - Use for B2B2C Token Generation
string
required
length between 32 and 32

32 character alphanumeric string. The customer authorization code received during account binding. authCode further is used to generate a B2B2C token.

additionalInfo
object
required

Additional Info in JSON Object.

Headers
string
enum
required
length between 16 and 16

Represents the content type of the received data (e.g. application/json)

Allowed:
string
required
length between 24 and 27

Client's current local time in yyyy-MM-ddTHH:mm:ssTZD format.

string
required
length between 32 and 32

Client's client_id (PJP Name). It is provided when the registration process is completed.

string
required

Represents the access_token of a request. It starts with the keyword "Bearer " followed by the access_token. This is B2B token generated using ACCESS-TOKEN B2B API.

string
required

Integrity checking. Asymmetric Signature: SHA256withRSA(Private_Key, stringToSign)

stringToSign = client_ID + "|" + X-TIMESTAMP

Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json